import { type NextRequest, NextResponse } from "next/server"
import { getLocalContent, updateLocalContent } from "../../../../utils/local-storage-adapter"

export async function GET() {
  try {
    const content = getLocalContent()
    return NextResponse.json(content)
  } catch (error) {
    console.error("Error in GET /api/content/local:", error)
    return NextResponse.json({ error: "Failed to fetch content" }, { status: 500 })
  }
}

export async function PUT(request: NextRequest) {
  try {
    const content = await request.json()
    updateLocalContent(content)
    return NextResponse.json({ success: true })
  } catch (error) {
    console.error("Error in PUT /api/content/local:", error)
    return NextResponse.json({ success: false, error: "Failed to update content" }, { status: 500 })
  }
}

